package cz.moneta.test.dsl.util.task.auto.smartauto.customer;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.smartauto.CustomerPage;
import cz.moneta.test.dsl.auto.smartauto.shared.BankCode;

import java.util.function.Function;

public class BankContactTasks {

    private final Harness harness;

    public BankContactTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<CustomerPage, CustomerPage> fillBankContact(String accountNumber, BankCode bankCode) {
        return start -> start.typeAccountNumber(accountNumber)
                .clickBankCode()
                .chooseBankCode(bankCode);
    }

    public Function<CustomerPage, CustomerPage> fillBusinessmanBankContact(String accountNumber, BankCode bankCode) {
        return start -> start.typeBusinessmanAccountNumber(accountNumber)
                .clickBusinessmanBankCode()
                .chooseBusinessmanBankCode(bankCode);
    }
}
